//  Copyright (C) 2016, mituhiromatuura all right reserved.

extern v32_t *bit_band(unsigned int a, int b);
extern void gpio_pfr_set(int port, int bit, uint32_t d);
extern void gpio_pcr_set(int port, int bit, uint32_t d);
extern void gpio_ddr_set(int port, int bit, uint32_t d);
extern v32_t gpio_pdir_get(int port, int bit);
extern void gpio_pdor_set(int port, int bit, uint32_t d);
extern void gpio_ade_set(int port, int bit, uint32_t d);
extern void init_gpio(void);
